classification
Title: 3.2 docs not updating on docs.python.org
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: chris.jerdonek, docs@python, ezio.melotti, georg.brandl, python-dev, r.david.murray
Priority: normal Keywords: easy

Created on 2012-11-22 02:30 by chris.jerdonek, last changed 2012-11-23 18:40 by chris.jerdonek. This issue is now closed.

Messages (9)
msg176090 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-11-22 02:30
The 3.2 docs haven't updated since Oct 28, 2012:

http://docs.python.org/3.2/

The commits for the Doc folder around that time are as follows.  I observed that the top commit was not built, but I'm not sure about the ones previous:

$ hg log -b 3.2 Doc | more

changeset:   80018:40aedc7da30f
branch:      3.2
parent:      79798:16493102f9b1
user:        Andrew Svetlov <andrew.svetlov@gmail.com>
date:        Sun Oct 28 14:10:30 2012 +0200
summary:     Issue #14570: Document json sort_keys parameter properly.

changeset:   79996:e02d49db3f5b
branch:      3.2
parent:      79989:f6d04f5cff31
user:        Georg Brandl <georg@python.org>
date:        Sun Oct 28 07:59:42 2012 +0100
summary:     #8040: fix jQuery incompatibility

changeset:   79984:36a35b86e3b0
branch:      3.2
parent:      79980:740be7346c92
user:        Ezio Melotti <ezio.melotti@gmail.com>
date:        Sat Oct 27 23:12:48 2012 +0300
summary:     #8040: fix the version.

changeset:   79980:740be7346c92
branch:      3.2
parent:      79976:35a2a0e166d0
user:        Ezio Melotti <ezio.melotti@gmail.com>
date:        Sat Oct 27 22:28:48 2012 +0300
summary:     #8040: enable the versionswitcher for the autobuild-dev target.

changeset:   79976:35a2a0e166d0
branch:      3.2
parent:      79972:abbfb89055d3
user:        Ezio Melotti <ezio.melotti@gmail.com>
date:        Sat Oct 27 22:09:16 2012 +0300
summary:     #8040: add a version switcher to the documentation.  Patch by Yury Selivanov.
msg176091 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-11-22 02:49
This is intentional.  Only 2.7, 3.3, and 3.4 auto-update now that 3.3 is out.  There will be a final rebuild of the 3.2 docs when 3.2 final is released.
msg176093 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-11-22 02:54
Thanks for the info.  Is this information reflected somewhere online?
msg176106 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-11-22 11:29
I don't know.  If it is would be in wherever "documenting Python" is these days.  The policy is that only the versions in active maintenance are automatically rebuilt.  3.2 is technically no longer in maintenance, it's just that there are reasons that we are delaying the final release. But I remember Georg answering this question on one forum or another, saying that the switch in which versions get built happens when the new version's pages move from default to release.  (So, it is always somewhat before the final release of the previous maintenance version.)
msg176115 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-11-22 17:04
That's correct.  "Documenting Python" is in the devguide now; feel free to remark this somewhere.
msg176116 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-11-22 17:50
> The policy is that only the versions in active maintenance are automatically rebuilt.  3.2 is technically no longer in maintenance, it's just that there are reasons that we are delaying the final release.

Okay, below the devguide says it is still in maintenance.  Should that be changed?

  "There are 6 open branches right now in the Mercurial repository:

   * the default branch holds the future 3.4 version and descends from 3.3
   * the 3.3 branch holds bug fixes for future 3.3.x maintenance releases and descends from 3.2
   * the 3.2 branch holds bug fixes for an upcoming final 3.2.4 maintenance release and then for future 3.2.x security releases
   * the 3.1 branch holds security fixes for future 3.1.x security releases
   ..."

(from http://docs.python.org/devguide/devcycle.html#summary )

Perhaps that was the source of confusion for me.  I was wondering if there was some other policy about when not to rebuild branches still in maintenance mode.  But given that it's not really in maintenance mode any longer, that answers my question.
msg176117 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-11-22 18:20
3.2 is still in maintenance, but the docs are not rebuilt daily for any past stable version, whether they are in maintenance or not.

Maybe it's not such a big deal at all?
msg176119 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-11-22 18:31
It's not.  Thanks for the clarification and info.
msg176211 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-11-23 18:38
New changeset 31bb42754962 by Chris Jerdonek in branch 'default':
Clarify that only the latest maintenance branches are rebuilt (issue #16528).
http://hg.python.org/devguide/rev/31bb42754962
History
Date User Action Args
2012-11-23 18:40:23chris.jerdoneksetkeywords: + easy
type: behavior -> enhancement
resolution: not a bug -> fixed
2012-11-23 18:38:38python-devsetnosy: + python-dev
messages: + msg176211
2012-11-22 18:31:02chris.jerdoneksetmessages: + msg176119
2012-11-22 18:20:46georg.brandlsetmessages: + msg176117
2012-11-22 17:50:42chris.jerdoneksetmessages: + msg176116
2012-11-22 17:04:11georg.brandlsetmessages: + msg176115
2012-11-22 11:29:27r.david.murraysetmessages: + msg176106
2012-11-22 02:54:23chris.jerdoneksetmessages: + msg176093
2012-11-22 02:49:23r.david.murraysetstatus: open -> closed

nosy: + r.david.murray
messages: + msg176091

resolution: not a bug
stage: resolved
2012-11-22 02:30:09chris.jerdonekcreate